function OnWarpEnter() 
	SetMarker("cs\\Warp_0031.wp" , 0 , 0)
	SetMarker("cs\\Warp_0026.wp" , 0 , 0) 

	SetMarker("GARLIC",2,0)

	Music_Change = false

	if balcony_open then
		AnimationSetToEnd("cxa1")
		AnimationSetToEnd("cya1")
	else
		AnimationSetToStart("cya1")
		AnimationSetToStart("cxa1")
	end

--DAY1
	if ETAT_DAY == "D1" then 

	end 

--DAY2
	if ETAT_DAY == "D2" then 
			---------------------------------Earth shakes here, if you get out by the other door it does too		
	end 

--DAY3
	if ETAT_DAY == "D3" then 

	end 

--DAY4
	if ETAT_DAY == "D4" then 

	end 

--DAY5
	if ETAT_DAY == "D5" then 
		if not MENTION_SCRIBED_D5 and DeathTrickRevealed then
			DrawText("Ma2859","Ma2859.ogg",0) -- J'ai intérêt à faire très attention. S'il est encore en vie, le scribe peut être n'importe où. Je me sentirai plus rassurée avec une arme en bon état.
			MENTION_SCRIBED_D5 = true
		end
	end 
end

function OnWarpLeave()
	if Music_Change then
		-- Musique
		Music_Change = false
		PlayMusic("Sounds/Musiques/M_Day1.ogg")
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0031.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0026.wp" then 
		Music_Change = true
		ChangeWarp(objectName)
	end

	if objectName=="3D\\GARLIC" then
		if ObjectCount("A_ail") < 3 then
			AddToBag("A_ail")
		else
			DrawText("Ma0207","Ma0207.ogg",0) -- J'en ai suffisamment.
		end
	end

--DAY1
	if ETAT_DAY == "D1" then 

		-- fenêtre observatoire (ouverte)
		if objectName == "cxa1" then

		-- fenêtre observatoire (ouverte)
		elseif objectName == "cxan" then

		-- fenêtre observatoire (fermée)
		elseif objectName == "cya1" then

		-- fenêtre observatoire (fermée)
		elseif objectName == "cyan" then

		--feu forgeron
		elseif objectName == "dbb1" then

------------birds
		elseif objectName == "nab1" then

		elseif objectName == "nbb1" then

		elseif objectName == "ncb1" then

		elseif objectName == "ndb1" then

		elseif objectName == "neb1" then

		elseif objectName == "nfc1" then

		elseif objectName == "ngc1" then

		elseif objectName == "nhc1" then

		elseif objectName == "nic1" then

		elseif objectName == "njc1" then

		elseif objectName == "nkc1" then
-------- end birds

		end
	end 

--DAY2
	if ETAT_DAY == "D2" then 

	end 

--DAY3
	if ETAT_DAY == "D3" then 

	end 

--DAY4
	if ETAT_DAY == "D4" then 

	end 

--DAY5
	if ETAT_DAY == "D5" then 

	end 
end
